Index: kernel/generic/src/ipc/sysipc.c
===================================================================
--- kernel/generic/src/ipc/sysipc.c	(revision 76c820911f83318e3a692b8ada91d9902bd5ff50)
+++ kernel/generic/src/ipc/sysipc.c	(revision 7fa8589c3d0c1464ee776a726d31f756ae12421b)
@@ -192,5 +192,5 @@
 	spinlock_unlock(&answer->forget_lock);
 
-	if ((errno_t) ipc_get_retval(&answer->data) == EHANGUP) {
+	if (ipc_get_retval(&answer->data) == EHANGUP) {
 		phone_t *phone = answer->caller_phone;
 		mutex_lock(&phone->lock);
@@ -238,5 +238,5 @@
 static void process_answer(call_t *call)
 {
-	if (((errno_t) ipc_get_retval(&call->data) == EHANGUP) &&
+	if ((ipc_get_retval(&call->data) == EHANGUP) &&
 	    (call->flags & IPC_CALL_FORWARDED))
 		ipc_set_retval(&call->data, EFORWARD);
Index: uspace/lib/c/generic/async/server.c
===================================================================
--- uspace/lib/c/generic/async/server.c	(revision 76c820911f83318e3a692b8ada91d9902bd5ff50)
+++ uspace/lib/c/generic/async/server.c	(revision 7fa8589c3d0c1464ee776a726d31f756ae12421b)
@@ -1395,5 +1395,5 @@
 	async_wait_for(msg, &rc);
 
-	return (errno_t) rc;
+	return rc;
 }
 
@@ -1640,5 +1640,5 @@
 	async_wait_for(msg, &rc);
 
-	return (errno_t) rc;
+	return rc;
 }
 
Index: uspace/lib/c/generic/clipboard.c
===================================================================
--- uspace/lib/c/generic/clipboard.c	(revision 76c820911f83318e3a692b8ada91d9902bd5ff50)
+++ uspace/lib/c/generic/clipboard.c	(revision 7fa8589c3d0c1464ee776a726d31f756ae12421b)
@@ -108,5 +108,5 @@
 		clip_exchange_end(exch);
 
-		return (errno_t) rc;
+		return rc;
 	} else {
 		async_exch_t *exch = clip_exchange_begin();
@@ -120,12 +120,12 @@
 			async_wait_for(req, &rc_orig);
 			if (rc_orig == EOK)
-				return (errno_t) rc;
+				return rc;
 			else
-				return (errno_t) rc_orig;
+				return rc_orig;
 		}
 
 		async_wait_for(req, &rc);
 
-		return (errno_t) rc;
+		return rc;
 	}
 }
@@ -153,5 +153,5 @@
 
 		if (rc != EOK)
-			return (errno_t) rc;
+			return rc;
 
 		char *sbuf;
@@ -176,5 +176,5 @@
 			clip_exchange_end(exch);
 
-			if ((errno_t) rc == EOVERFLOW) {
+			if (rc == EOVERFLOW) {
 				/*
 				 * The data in the clipboard has changed since
@@ -188,7 +188,7 @@
 				async_wait_for(req, &rc_orig);
 				if (rc_orig == EOK)
-					return (errno_t) rc;
+					return rc;
 				else
-					return (errno_t) rc_orig;
+					return rc_orig;
 			}
 
Index: uspace/lib/c/generic/device/clock_dev.c
===================================================================
--- uspace/lib/c/generic/device/clock_dev.c	(revision 76c820911f83318e3a692b8ada91d9902bd5ff50)
+++ uspace/lib/c/generic/device/clock_dev.c	(revision 7fa8589c3d0c1464ee776a726d31f756ae12421b)
@@ -67,5 +67,5 @@
 
 	async_wait_for(req, &rc);
-	return (errno_t)rc;
+	return rc;
 }
 
@@ -98,5 +98,5 @@
 
 	async_wait_for(req, &rc);
-	return (errno_t)rc;
+	return rc;
 }
 
Index: uspace/lib/c/generic/device/led_dev.c
===================================================================
--- uspace/lib/c/generic/device/led_dev.c	(revision 76c820911f83318e3a692b8ada91d9902bd5ff50)
+++ uspace/lib/c/generic/device/led_dev.c	(revision 7fa8589c3d0c1464ee776a726d31f756ae12421b)
@@ -51,5 +51,5 @@
 	async_wait_for(req, &rc);
 
-	return (errno_t) rc;
+	return rc;
 }
 
Index: uspace/lib/c/generic/inet/tcp.c
===================================================================
--- uspace/lib/c/generic/inet/tcp.c	(revision 76c820911f83318e3a692b8ada91d9902bd5ff50)
+++ uspace/lib/c/generic/inet/tcp.c	(revision 7fa8589c3d0c1464ee776a726d31f756ae12421b)
@@ -240,5 +240,5 @@
 	return EOK;
 error:
-	return (errno_t) rc;
+	return rc;
 }
 
@@ -360,5 +360,5 @@
 error:
 	free(lst);
-	return (errno_t) rc;
+	return rc;
 }
 
Index: uspace/lib/c/generic/inet/udp.c
===================================================================
--- uspace/lib/c/generic/inet/udp.c	(revision 76c820911f83318e3a692b8ada91d9902bd5ff50)
+++ uspace/lib/c/generic/inet/udp.c	(revision 7fa8589c3d0c1464ee776a726d31f756ae12421b)
@@ -200,5 +200,5 @@
 error:
 	free(assoc);
-	return (errno_t) rc;
+	return rc;
 }
 
Index: uspace/lib/c/generic/io/logctl.c
===================================================================
--- uspace/lib/c/generic/io/logctl.c	(revision 76c820911f83318e3a692b8ada91d9902bd5ff50)
+++ uspace/lib/c/generic/io/logctl.c	(revision 7fa8589c3d0c1464ee776a726d31f756ae12421b)
@@ -85,5 +85,5 @@
 		return rc;
 
-	rc = (errno_t) async_req_1_0(exchange,
+	rc = async_req_1_0(exchange,
 	    LOGGER_CONTROL_SET_DEFAULT_LEVEL, new_level);
 
@@ -119,5 +119,5 @@
 		return rc;
 
-	return (errno_t) reg_msg_rc;
+	return reg_msg_rc;
 }
 
@@ -145,5 +145,5 @@
 		return rc;
 
-	return (errno_t) reg_msg_rc;
+	return reg_msg_rc;
 }
 
Index: uspace/lib/c/generic/loader.c
===================================================================
--- uspace/lib/c/generic/loader.c	(revision 76c820911f83318e3a692b8ada91d9902bd5ff50)
+++ uspace/lib/c/generic/loader.c	(revision 7fa8589c3d0c1464ee776a726d31f756ae12421b)
@@ -102,9 +102,9 @@
 	if (rc != EOK) {
 		async_forget(req);
-		return (errno_t) rc;
+		return rc;
 	}
 
 	async_wait_for(req, &rc);
-	return (errno_t) rc;
+	return rc;
 }
 
@@ -140,9 +140,9 @@
 	if (rc != EOK) {
 		async_forget(req);
-		return (errno_t) rc;
+		return rc;
 	}
 
 	async_wait_for(req, &rc);
-	return (errno_t) rc;
+	return rc;
 }
 
@@ -174,9 +174,9 @@
 	if (rc != EOK) {
 		async_forget(req);
-		return (errno_t) rc;
+		return rc;
 	}
 
 	async_wait_for(req, &rc);
-	return (errno_t) rc;
+	return rc;
 }
 
@@ -259,9 +259,9 @@
 	if (rc != EOK) {
 		async_forget(req);
-		return (errno_t) rc;
+		return rc;
 	}
 
 	async_wait_for(req, &rc);
-	return (errno_t) rc;
+	return rc;
 }
 
@@ -296,5 +296,5 @@
 	}
 
-	return (errno_t) rc;
+	return rc;
 }
 
Index: uspace/lib/c/generic/loc.c
===================================================================
--- uspace/lib/c/generic/loc.c	(revision 76c820911f83318e3a692b8ada91d9902bd5ff50)
+++ uspace/lib/c/generic/loc.c	(revision 7fa8589c3d0c1464ee776a726d31f756ae12421b)
@@ -314,12 +314,8 @@
 errno_t loc_service_unregister(service_id_t sid)
 {
-	async_exch_t *exch;
-	errno_t retval;
-
-	exch = loc_exchange_begin_blocking(INTERFACE_LOC_SUPPLIER);
-	retval = async_req_1_0(exch, LOC_SERVICE_UNREGISTER, sid);
-	loc_exchange_end(exch);
-
-	return (errno_t)retval;
+	async_exch_t *exch = loc_exchange_begin_blocking(INTERFACE_LOC_SUPPLIER);
+	errno_t rc = async_req_1_0(exch, LOC_SERVICE_UNREGISTER, sid);
+	loc_exchange_end(exch);
+	return rc;
 }
 
Index: uspace/lib/c/generic/vfs/vfs.c
===================================================================
--- uspace/lib/c/generic/vfs/vfs.c	(revision 76c820911f83318e3a692b8ada91d9902bd5ff50)
+++ uspace/lib/c/generic/vfs/vfs.c	(revision 7fa8589c3d0c1464ee776a726d31f756ae12421b)
@@ -742,5 +742,5 @@
 		loc_null_destroy(null_id);
 
-	return (errno_t) rc;
+	return rc;
 }
 
@@ -1188,5 +1188,5 @@
 
 	if (rc_orig != EOK)
-		return (errno_t) rc_orig;
+		return rc_orig;
 	return rc;
 }
@@ -1278,8 +1278,8 @@
 
 	if (rc_orig != EOK)
-		return (errno_t) rc_orig;
+		return rc_orig;
 
 	if (rc != EOK)
-		return (errno_t) rc;
+		return rc;
 
 	*handle = (int) ipc_get_arg1(&answer);
Index: uspace/lib/drv/generic/remote_ieee80211.c
===================================================================
--- uspace/lib/drv/generic/remote_ieee80211.c	(revision 76c820911f83318e3a692b8ada91d9902bd5ff50)
+++ uspace/lib/drv/generic/remote_ieee80211.c	(revision 7fa8589c3d0c1464ee776a726d31f756ae12421b)
@@ -79,5 +79,5 @@
 
 	if (res != EOK)
-		return (errno_t) res;
+		return res;
 
 	return rc;
@@ -144,7 +144,7 @@
 
 		if (rc_orig == EOK)
-			return (errno_t) rc;
-
-		return (errno_t) rc_orig;
+			return rc;
+
+		return rc_orig;
 	}
 
@@ -159,7 +159,7 @@
 
 		if (rc_orig == EOK)
-			return (errno_t) rc;
-
-		return (errno_t) rc_orig;
+			return rc;
+
+		return rc_orig;
 	}
 
@@ -182,5 +182,5 @@
 	rc = dhcp_discover(link_id);
 
-	return (errno_t) rc;
+	return rc;
 }
 
Index: uspace/lib/drv/generic/remote_usbdiag.c
===================================================================
--- uspace/lib/drv/generic/remote_usbdiag.c	(revision 76c820911f83318e3a692b8ada91d9902bd5ff50)
+++ uspace/lib/drv/generic/remote_usbdiag.c	(revision 7fa8589c3d0c1464ee776a726d31f756ae12421b)
@@ -89,5 +89,5 @@
 	async_wait_for(req, &retval);
 
-	return (errno_t) retval;
+	return retval;
 }
 
@@ -123,5 +123,5 @@
 	async_wait_for(req, &retval);
 
-	return (errno_t) retval;
+	return retval;
 }
 
Index: uspace/lib/drv/generic/remote_usbhc.c
===================================================================
--- uspace/lib/drv/generic/remote_usbhc.c	(revision 76c820911f83318e3a692b8ada91d9902bd5ff50)
+++ uspace/lib/drv/generic/remote_usbhc.c	(revision 7fa8589c3d0c1464ee776a726d31f756ae12421b)
@@ -138,5 +138,5 @@
 
 	if (opening_request_rc)
-		return (errno_t) opening_request_rc;
+		return opening_request_rc;
 
 	usb_pipe_desc_t dest;
@@ -174,5 +174,5 @@
 	async_wait_for(opening_request, &opening_request_rc);
 
-	return (errno_t) opening_request_rc;
+	return opening_request_rc;
 }
 
@@ -223,5 +223,5 @@
 		*transferred = ipc_get_arg1(&call);
 
-	return (errno_t) opening_request_rc;
+	return opening_request_rc;
 }
 
Index: uspace/lib/drv/generic/remote_usbhid.c
===================================================================
--- uspace/lib/drv/generic/remote_usbhid.c	(revision 76c820911f83318e3a692b8ada91d9902bd5ff50)
+++ uspace/lib/drv/generic/remote_usbhid.c	(revision 7fa8589c3d0c1464ee776a726d31f756ae12421b)
@@ -182,11 +182,11 @@
 		/* Prefer return code of the opening request. */
 		if (opening_request_rc != EOK)
-			return (errno_t) opening_request_rc;
+			return opening_request_rc;
 		else
-			return (errno_t) data_request_rc;
+			return data_request_rc;
 	}
 
 	if (opening_request_rc != EOK)
-		return (errno_t) opening_request_rc;
+		return opening_request_rc;
 
 	size_t act_size = ipc_get_arg2(&data_request_call);
@@ -267,11 +267,11 @@
 		/* Prefer return code of the opening request. */
 		if (opening_request_rc != EOK)
-			return (errno_t) opening_request_rc;
+			return opening_request_rc;
 		else
-			return (errno_t) data_request_rc;
+			return data_request_rc;
 	}
 
 	if (opening_request_rc != EOK)
-		return (errno_t) opening_request_rc;
+		return opening_request_rc;
 
 	size_t act_size = ipc_get_arg2(&data_request_call);
Index: uspace/lib/usbvirt/src/ipc_hc.c
===================================================================
--- uspace/lib/usbvirt/src/ipc_hc.c	(revision 76c820911f83318e3a692b8ada91d9902bd5ff50)
+++ uspace/lib/usbvirt/src/ipc_hc.c	(revision 7fa8589c3d0c1464ee776a726d31f756ae12421b)
@@ -104,11 +104,11 @@
 		/* Prefer the return code of the opening request. */
 		if (opening_request_rc != EOK)
-			return (errno_t) opening_request_rc;
+			return opening_request_rc;
 		else
-			return (errno_t) data_request_rc;
+			return data_request_rc;
 	}
 
 	if (opening_request_rc != EOK)
-		return (errno_t) opening_request_rc;
+		return opening_request_rc;
 
 	if (data_transferred_size != NULL)
@@ -174,5 +174,5 @@
 	async_wait_for(opening_request, &opening_request_rc);
 
-	return (errno_t) opening_request_rc;
+	return opening_request_rc;
 }
 
@@ -241,11 +241,11 @@
 		/* Prefer the return code of the opening request. */
 		if (opening_request_rc != EOK)
-			return (errno_t) opening_request_rc;
+			return opening_request_rc;
 		else
-			return (errno_t) data_request_rc;
+			return data_request_rc;
 	}
 
 	if (opening_request_rc != EOK)
-		return (errno_t) opening_request_rc;
+		return opening_request_rc;
 
 	if (act_size != NULL)
@@ -311,5 +311,5 @@
 	async_wait_for(opening_request, &opening_request_rc);
 
-	return (errno_t) opening_request_rc;
+	return opening_request_rc;
 }
 
Index: uspace/srv/fs/locfs/locfs_ops.c
===================================================================
--- uspace/srv/fs/locfs/locfs_ops.c	(revision 76c820911f83318e3a692b8ada91d9902bd5ff50)
+++ uspace/srv/fs/locfs/locfs_ops.c	(revision 7fa8589c3d0c1464ee776a726d31f756ae12421b)
@@ -596,5 +596,5 @@
 
 		/* Do not propagate EHANGUP back to VFS. */
-		if ((errno_t) rc == EHANGUP)
+		if (rc == EHANGUP)
 			rc = ENOTSUP;
 
@@ -660,5 +660,5 @@
 
 		/* Do not propagate EHANGUP back to VFS. */
-		if ((errno_t) rc == EHANGUP)
+		if (rc == EHANGUP)
 			rc = ENOTSUP;
 
Index: uspace/srv/vfs/vfs_ops.c
===================================================================
--- uspace/srv/vfs/vfs_ops.c	(revision 76c820911f83318e3a692b8ada91d9902bd5ff50)
+++ uspace/srv/vfs/vfs_ops.c	(revision 7fa8589c3d0c1464ee776a726d31f756ae12421b)
@@ -444,5 +444,5 @@
 	chunk->size = ipc_get_arg1(answer);
 
-	return (errno_t) rc;
+	return rc;
 }
 
@@ -740,5 +740,5 @@
 	vfs_exchange_release(exch);
 
-	return (errno_t) rc;
+	return rc;
 }
 
